Subject: [Jwt-reg-review] Request to register claims: "scope" , "at_use_nbr"

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Mon, 20 May 2019 17:34:56 +0000

Dear,
On behalf of ETSI NFV ISG, I would like to submit the following registration requests for the “JSON Web Token” registry:

  *   Claim Name: “scope”

  *   Claim Description: space-separated list of scope of operation values for which the access token is valid.
  *   Change Controller: ETSI ([email-masked])

  *   Specification Document(s): Clause 5.5<https://openid.net/specs/openid-connect-core-1_0.html#StandardClaims> of the present ETSI GS NFV-SEC 022<https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=54060> (attached)

  *   Claim Name: “at_use_nbr”
  *   Claim Description: Number of API requests for which the access token can be used.
  *   Change Controller: ETSI ([email-masked])

  *   Specification Document(s): Clause 5.5<https://openid.net/specs/openid-connect-core-1_0.html#StandardClaims> of the present ETSI GS NFV-SEC 022<https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=54060> (attached)

Best regards.

-----------------------------------------------------------------------------------------------------------------
Miguel Angel Reina Ortega – Testing Expert
Centre for Testing and Interoperability (CTI)
ETSI ● www.etsi.org<http://www.etsi.org/> ● [email-masked]<mailto:[email-masked]>
Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99

This email may contain confidential information and is intended for
the use of the addressee only. Any unauthorized use may be unlawful.
If you receive this email by mistake, please advise the sender
immediately by using the reply facility in your email software.
Thank you for your co-operation.

---

From: Brian Campbell <[email-masked]>
Date: Tue, 21 May 2019 12:49:53 -0600

Hello Miguel,

RFC 7519 says that values for the JSON Web Token Claims Registry
<https://tools.ietf.org/html/rfc7519#section-10.1> are registered on a
Specification Required basis. RFC 5226 says that Specification Required
<https://tools.ietf.org/html/rfc5226#section-4.1> means that the values and
their meanings must be documented in a permanent and readily available
public specification. I do not believe a Microsoft Word document as an
email attachment is sufficient in that regard. This registration review
request will need to be made again with a straightforward pointer to such a
permanent and readily available public specification that defines the
claim.

Also note that the 'scope' claim is being defined in Section 4.2 of OAuth
2.0 Token Exchange
<https://tools.ietf.org/html/draft-ietf-oauth-token-exchange-16#section-4.2>
with effectively the same meaning.  Registration has already been requested
from/by that document so isn't necessary from the ETSI GS NFV-SEC 022
perspective.

Thanks,
Brian Campbell
One of the (so called) Designated Experts for the JWT Claims Registry

On Mon, May 20, 2019 at 11:35 AM Miguel Angel Reina Ortega <
[email-masked]> wrote:

> Dear,
>
> On behalf of ETSI NFV ISG, I would like to submit the following
> registration requests for the “JSON Web Token” registry:
>
>
>
>    - Claim Name: “scope”
>
>
>    - Claim Description: space-separated list of scope of operation values
>    for which the access token is valid.
>    - Change Controller: ETSI ([email-masked])
>
>
>    - Specification Document(s): Clause 5.5
>    <https://openid.net/specs/openid-connect-core-1_0.html#StandardClaims>
>    of the present ETSI GS NFV-SEC 022
>    <https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=54060>
>    (attached)
>
>
>
>    - Claim Name: “at_use_nbr”
>    - Claim Description: Number of API requests for which the access token
>    can be used.
>    - Change Controller: ETSI ([email-masked])
>
>
>    - Specification Document(s): Clause 5.5
>    <https://openid.net/specs/openid-connect-core-1_0.html#StandardClaims>
>    of the present ETSI GS NFV-SEC 022
>    <https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=54060>
>    (attached)
>
>
>
> Best regards.
>
>
>
>
>
>
> *Miguel Angel Reina Ortega **–* Testing Expert
>
> *ETSI* ● www.etsi.org ● [email-masked]
> <[email-masked]>*
>
> _______________________________________________
> Jwt-reg-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jwt-reg-review
>

-- 
<https://www.pingidentity.com>
<https://www.pingidentity.com>
Brian Campbell
Distinguished Engineer
[email-masked]
w: +1 720.317.2061
c: +1 303.918.9415
Connect with us: 
<https://www.glassdoor.com/Overview/Working-at-Ping-Identity-EI_IE380907.11,24.htm>
[image:
LinkedIn logo] <https://www.linkedin.com/company/21870> [image: twitter
logo] <https://twitter.com/pingidentity> 
<https://www.facebook.com/pingidentitypage> 
<https://www.youtube.com/user/PingIdentityTV> 
<https://www.pingidentity.com/en/blog.html>
<https://www.pingidentity.com/content/ping/en/lp/d/p14e-trial.html>
<https://www.pingidentity.com/en/lp/d/p14e-trial.html?utm_source=Email&utm_medium=p14e-trial-sso-mfa-emailsig&utm_campaign=p14e-trial-sso-mfa-emailsig>
<https://www.pingidentity.com/en/lp/d/p14e-trial.html?utm_source=Email&utm_medium=p14e-trial-sso-mfa-emailsig&utm_campaign=p14e-trial-sso-mfa-emailsig>
<https://developer.pingidentity.com/en/signup.html>
<https://developer.pingidentity.com/en/signup.html>
<https://developer.pingidentity.com/en/signup.html>
<https://developer.pingidentity.com/en/signup.html?utm_source=email&utm_medium=P14C-Trial-Email&utm_campaign=P14C-Trial-Email&utm_content=link>
<https://developer.pingidentity.com/en/signup.html?utm_source=email&utm_medium=P14C-Trial-Email&utm_campaign=P14C-Trial-Email&utm_content=link>

-- 
_CONFIDENTIALITY NOTICE: This email may contain confidential and privileged 
material for the sole use of the intended recipient(s). Any review, use, 
distribution or disclosure by others is strictly prohibited.  If you have 
received this communication in error, please notify the sender immediately 
by e-mail and delete the message and any file attachments from your 
computer. Thank you._

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Tue, 21 May 2019 22:25:49 +0000

Dear Brian,

Thanks for your prompt response.

Indeed, you’re right, a Word document attached in an email is not sufficient. I sent it in that way for your review and confirmation before approving the document at ISG level (a bit chicken and egg problem).

I take note about your feedback on “scope” claim, bring that feedback to the ISG and if required as you said, I will make a new updated request which includes a pointer to the spec.

Best regards.

From: Brian Campbell <[email-masked]>
Sent: 21 May 2019 20:50
To: Miguel Angel Reina Ortega <[email-masked]>
Cc: [email-masked]; PNNS <[email-masked]>
Subject: Re: [Jwt-reg-review] Request to register claims: "scope" , "at_use_nbr"

Hello Miguel,

RFC 7519 says that values for the JSON Web Token Claims Registry<https://tools.ietf.org/html/rfc7519#section-10.1> are registered on a Specification Required basis. RFC 5226 says that Specification Required<https://tools.ietf.org/html/rfc5226#section-4.1> means that the values and their meanings must be documented in a permanent and readily available public specification. I do not believe a Microsoft Word document as an email attachment is sufficient in that regard. This registration review request will need to be made again with a straightforward pointer to such a permanent and readily available public specification that defines the claim.

Also note that the 'scope' claim is being defined in Section 4.2 of OAuth 2.0 Token Exchange<https://tools.ietf.org/html/draft-ietf-oauth-token-exchange-16#section-4.2> with effectively the same meaning.  Registration has already been requested from/by that document so isn't necessary from the ETSI GS NFV-SEC 022 perspective.

Thanks,
Brian Campbell

On Mon, May 20, 2019 at 11:35 AM Miguel Angel Reina Ortega <[email-masked]<mailto:[email-masked]>> wrote:
Dear,
On behalf of ETSI NFV ISG, I would like to submit the following registration requests for the “JSON Web Token” registry:

  *   Claim Name: “scope”

  *   Claim Description: space-separated list of scope of operation values for which the access token is valid.
  *   Change Controller: ETSI ([email-masked]<mailto:[email-masked]>)

  *   Claim Name: “at_use_nbr”
  *   Claim Description: Number of API requests for which the access token can be used.
  *   Change Controller: ETSI ([email-masked]<mailto:[email-masked]>)

Best regards.

_______________________________________________
Jwt-reg-review mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/jwt-reg-review

--
[Ping Identity]<https://www.pingidentity.com>

Brian Campbell
Distinguished Engineer
[email-masked]<mailto:[email-masked]>
w: +1 720.317.2061
c: +1 303.918.9415

Connect with us:

[Glassdoor logo]<https://www.glassdoor.com/Overview/Working-at-Ping-Identity-EI_IE380907.11,24.htm>[LinkedIn logo]<https://www.linkedin.com/company/21870>[twitter logo]<https://twitter.com/pingidentity>[facebook logo]<https://www.facebook.com/pingidentitypage>[youtube logo]<https://www.youtube.com/user/PingIdentityTV> [Blog logo] <https://www.pingidentity.com/en/blog.html>

[https://www.pingidentity.com/content/dam/ping-6-2-assets/images/misc/emailSignature/freetrials-signature_header.png]
[https://www.pingidentity.com/content/dam/ping-6-2-assets/images/misc/emailSignature/freetrials-signature-it.png]<https://www.pingidentity.com/en/lp/d/p14e-trial.html?utm_source=Email&utm_medium=p14e-trial-sso-mfa-emailsig&utm_campaign=p14e-trial-sso-mfa-emailsig>[https://www.pingidentity.com/content/dam/ping-6-2-assets/images/misc/emailSignature/freetrials-signature-dev.png]<https://developer.pingidentity.com/en/signup.html?utm_source=email&utm_medium=P14C-Trial-Email&utm_campaign=P14C-Trial-Email&utm_content=link>

CONFIDENTIALITY NOTICE: This email may contain confidential and privileged material for the sole use of the intended recipient(s). Any review, use, distribution or disclosure by others is strictly prohibited.  If you have received this communication in error, please notify the sender immediately by e-mail and delete the message and any file attachments from your computer. Thank you.

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Wed, 22 May 2019 15:49:22 +0000

Dear Brian,

I have a couple of questions. First, regarding the pointer to the specification. Actually, the specification is going to be approved this week and publicly available soon. I could provide a pointer that will not work for the time being but it will in short time. Would that be fine? Or would it be better to provide a temp pointer that works right now but modify it later?

Second question is regarding the “scope” claim, the reason why it was requested is that it does not appear in the JSON Web token registry page. Is that just a mistake or is there a reason why it is not there?

Please, your advice will be very much appreciated.

Best regards.

From: Miguel Angel Reina Ortega
Sent: 22 May 2019 00:26
To: 'Brian Campbell' <[email-masked]>
Cc: [email-masked]' <[email-masked]>; PNNS <[email-masked]>
Subject: RE: [Jwt-reg-review] Request to register claims: "scope" , "at_use_nbr"

Dear Brian,

Best regards.

From: Brian Campbell <[email-masked]<mailto:[email-masked]>>
Sent: 21 May 2019 20:50
To: Miguel Angel Reina Ortega <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; PNNS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Jwt-reg-review] Request to register claims: "scope" , "at_use_nbr"

Hello Miguel,

Thanks,
Brian Campbell

  *   Claim Name: “scope”

Best regards.

Brian Campbell
Distinguished Engineer

Connect with us:

---

From: Brian Campbell <[email-masked]>
Date: Wed, 22 May 2019 11:33:55 -0600

Hi Miguel, see inline below

On Wed, May 22, 2019 at 9:49 AM Miguel Angel Reina Ortega <
[email-masked]> wrote:

> Dear Brian,
>
>
>
> I have a couple of questions. First, regarding the pointer to the
> specification. Actually, the specification is going to be approved this
> week and publicly available soon. I could provide a pointer that will not
> work for the time being but it will in short time. Would that be fine? Or
> would it be better to provide a temp pointer that works right now but
> modify it later?
>

It's a bit of chicken and egg, isn't it? And I'm honestly not sure how
that's supposed to work. But I think that the latter - a pointer to a draft
but soonish to be approved spec - would be appropriate for the review
request. And the final pointer can be given to IANA for the registration
request.

>
>
> Second question is regarding the “scope” claim, the reason why it was
> requested is that it does not appear in the JSON Web token registry page.
> Is that just a mistake or is there a reason why it is not there?
>

The “scope” claim does not yet appear in the JSON Web token registry page
but it should show up there (relatively) soon. The request has been made
already
https://mailarchive.ietf.org/arch/msg/jwt-reg-review/VXiedtm3lP0IfyEsVKkg92-I6TA

> *From:* Miguel Angel Reina Ortega
> *Sent:* 22 May 2019 00:26
> *To:* 'Brian Campbell' <[email-masked]>
> *Cc:* [email-masked]' <[email-masked]>; PNNS <
> [email-masked]>
> *Subject:* RE: [Jwt-reg-review] Request to register claims: "scope" ,
> "at_use_nbr"
>
>
>
> Dear Brian,
>
>
>
> Indeed, you’re right, a Word document attached in an email is not
> sufficient. I sent it in that way for your review and confirmation before
> approving the document at ISG level (a bit chicken and egg problem).
>
>
>
> I take note about your feedback on “scope” claim, bring that feedback to
> the ISG and if required as you said, I will make a new updated request
> which includes a pointer to the spec.
>
>
>
> Best regards.
>
>
>
>
> *From:* Brian Campbell <[email-masked]>
> *Sent:* 21 May 2019 20:50
> *To:* Miguel Angel Reina Ortega <[email-masked]>
> *Cc:* [email-masked]; PNNS <[email-masked]>
> *Subject:* Re: [Jwt-reg-review] Request to register claims: "scope" ,
> "at_use_nbr"
>
>
>
> Hello Miguel,
>
>
>
> <https://tools.ietf.org/html/rfc5226#section-4.1> means that the values
> and their meanings must be documented in a permanent and readily available
> *Miguel Angel Reina Ortega –* Testing Expert
>

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Wed, 22 May 2019 17:38:37 +0000

Dear Brian,

Thanks for your answer.

I will then provide you with the pointer to the draft, and once specification is approved, I will resubmit the registration request with the final pointer.

Regarding the “scope” claim, which RFC should it be referenced if there’s already a number? And If there’s no number, should we reference the draft?

Thanks again.

Best regards.

Sent: 22 May 2019 19:34

On Wed, May 22, 2019 at 9:49 AM Miguel Angel Reina Ortega <[email-masked]<mailto:[email-masked]>> wrote:
Dear Brian,

It's a bit of chicken and egg, isn't it? And I'm honestly not sure how that's supposed to work. But I think that the latter - a pointer to a draft but soonish to be approved spec - would be appropriate for the review request. And the final pointer can be given to IANA for the registration request.

The “scope” claim does not yet appear in the JSON Web token registry page but it should show up there (relatively) soon. The request has been made already https://mailarchive.ietf.org/arch/msg/jwt-reg-review/VXiedtm3lP0IfyEsVKkg92-I6TA

Best regards.

From: Miguel Angel Reina Ortega
Sent: 22 May 2019 00:26
To: 'Brian Campbell' <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>' <[email-masked]<mailto:[email-masked]>>; PNNS <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Jwt-reg-review] Request to register claims: "scope" , "at_use_nbr"

Dear Brian,

Best regards.

Hello Miguel,

Thanks,
Brian Campbell

  *   Claim Name: “scope”

Best regards.

---

From: Brian Campbell <[email-masked]>
Date: Wed, 22 May 2019 11:59:36 -0600

There is not yet an RFC number for it so a reference to the draft will have
to suffice. My main point about that one, however, is just that it will be
in the registry soon via other means so this registration review request
and the associated document should only request registration of
“at_use_nbr”.

On Wed, May 22, 2019 at 11:38 AM Miguel Angel Reina Ortega <
[email-masked]> wrote:

> Dear Brian,
>
>
>
> Thanks for your answer.
>
>
>
> I will then provide you with the pointer to the draft, and once
> specification is approved, I will resubmit the registration request with
> the final pointer.
>
>
>
> Regarding the “scope” claim, which RFC should it be referenced if there’s
> already a number? And If there’s no number, should we reference the draft?
>
>
>
> Thanks again.
>
>
>
> Best regards.
>
>
>
>
> *Sent:* 22 May 2019 19:34
> *CONFIDENTIALITY NOTICE: This email may contain confidential and
> privileged material for the sole use of the intended recipient(s). Any
> review, use, distribution or disclosure by others is strictly prohibited.
> If you have received this communication in error, please notify the sender
> immediately by e-mail and delete the message and any file attachments from
> your computer. Thank you.*
>

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Wed, 22 May 2019 18:32:45 +0000

Hi Brian,

Yes, I got that. When I will resubmit the request, I will do it only for that one, not the “scope”

Best regards.

Sent: 22 May 2019 20:00

There is not yet an RFC number for it so a reference to the draft will have to suffice. My main point about that one, however, is just that it will be in the registry soon via other means so this registration review request and the associated document should only request registration of “at_use_nbr”.

On Wed, May 22, 2019 at 11:38 AM Miguel Angel Reina Ortega <[email-masked]<mailto:[email-masked]>> wrote:
Dear Brian,

Thanks for your answer.

Thanks again.

Best regards.

Best regards.

Dear Brian,

Best regards.

Hello Miguel,

Thanks,
Brian Campbell

  *   Claim Name: “scope”

Best regards.